import request from '@/utils/request'

// 查询财务报信息列表
export function listReport(query) {
    return request({
        url: '/crmFinancialReport/findByPage',
        method: 'get',
        params: query
    })
}

// 查询财务报信息详细
export function getReport(id) {
    return request({
        url: '/crmFinancialReport/' + id,
        method: 'get'
    })
}

// 新增财务报信息
export function addReport(data) {
    return request({
        url: '/crmFinancialReport',
        method: 'post',
        data: data
    })
}

// 修改财务报信息
export function updateReport(data) {
    return request({
        url: '/crmFinancialReport',
        method: 'put',
        data: data
    })
}

// 删除财务报信息
export function delReport(id) {
    return request({
        url: '/crmFinancialReport/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delReportBatch(ids) {
    console.log(ids);
    return request.post('/crmFinancialReport/delete',ids)
}